明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1958|回复: 2

如何提取line的两个端点坐标

[复制链接]
发表于 2003-9-30 17:49:00 | 显示全部楼层 |阅读模式
如何提取line的两个端点坐标。
    图形中已有若干条line直线,现在要提取line的两个端点坐标。怎样实现?
发表于 2003-9-30 18:32:00 | 显示全部楼层

看到这样的帖子有点不敢回复

不是太难,而是太容易,总感觉到提问者是不是没有表达完整自己的问题。希望楼主能从以下代码中得到帮助,若还有其它困难,请说清楚。因为都VBA基本操作,所以没加注释。
Sub GetPointFromLine()
Dim Pt1 As Variant
Dim Pt2 As Variant
Dim Str As String
Dim Sel As AcadSelectionSet
On Error Resume Next
Set Sel = ThisDrawing.SelectionSets.Add("ssel")
If Err Then
  Err.Clear
  ThisDrawing.SelectionSets("ssel").Delete
  Set Sel = ThisDrawing.SelectionSets.Add("ssel")
End If
On Error GoTo 0
Sel.SelectOnScreen
Dim obj As AcadObject
For Each obj In Sel
  If obj.ObjectName = "AcDbLine" Then
    Pt1 = obj.StartPoint
    Pt2 = obj.EndPoint
    Str = "起点:(" & Pt1(0) & "," & Pt1(1) & "," & Pt1(2) & ")" & Chr(13)
    Str = Str & "终点:(" & Pt2(0) & "," & Pt2(1) & "," & Pt2(2) & ")"
    MsgBox Str
  End If
Next
Sel.Delete
End Sub
 楼主| 发表于 2003-9-30 21:12:00 | 显示全部楼层
ok!
     多谢!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 13:47 , Processed in 0.156736 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表